Bug 772654 - Guvnor cannot save processes
Guvnor cannot save processes
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
urgent Severity urgent
: ---
: BRMS 5.3.0.GA
Assigned To: Ryan Zhang
Jiri Locker
: Regression, TestBlocker
: 773540 (view as bug list)
Depends On:
Blocks: 952627
  Show dependency treegraph
Reported: 2012-01-09 09:39 EST by Jiri Locker
Modified: 2013-04-16 06:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 952627 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2012-01-09 09:39:57 EST
Description of problem:
The menu items "Save", "Save and close" (and also "View source") simply do nothing. When I click them, nothing happens (the box to type a check-in comment and confirmation button is expected).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. in Guvnor, open any process or create a new one
2. optionally, perform some actions in the embedded process designer
3. click "Save" or "Save and close" under the File menu; nothing happens
Actual results:
clicking the mentioned buttons does nothing

Expected results:
the buttons should behave as they did before ER2 (this is regression)

Additional info:
Comment 1 Tihomir Surdilovic 2012-01-09 09:52:12 EST
Two things here:
1) you need the latest designer war from http://people.redhat.com/tsurdilo/designer/master/. 
2) You possibly need to configure designer for BRMS (see docs here: http://docs.jboss.org/jbpm/v5.2/userguide/ch10.html#d0e3136).

Comment 2 Jiri Locker 2012-01-09 11:35:03 EST
Thanks, after performing one additional step: 3) clear you browser cache, it fixed the problem.

Assigning to Ryan to make sure we get the fresh version of designer in the next ER.
Comment 3 Ryan Zhang 2012-01-09 22:11:47 EST
Yep, will do.
Comment 4 Lukáš Petrovický 2012-01-12 03:44:37 EST
*** Bug 773540 has been marked as a duplicate of this bug. ***
Comment 5 Eric D. Schabell 2012-01-13 01:46:03 EST
(In reply to comment #4)
> *** Bug 773540 has been marked as a duplicate of this bug. ***
The difference now with BRMS 5.3 EA2 designer is that it does save the process artifacts, it just does not pop-up with a comment box for a submit message.
Comment 7 Tihomir Surdilovic 2012-01-27 14:48:11 EST
This should be fixed - please retest
Comment 8 Ryan Zhang 2012-02-15 04:11:39 EST
Please verify the issue on 5.3 ER4.

Note You need to log in before you can comment on or make changes to this bug.